package io.renren.modules.sys.service.impl.bigdata;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.renren.datasource.annotation.DataSource;
import io.renren.modules.sys.dao.bigdata.SysLoginBigDataDao;
import io.renren.modules.sys.entity.SysUserTokenEntity;
import io.renren.modules.sys.service.bigdata.SysLoginBigDataService;
import org.springframework.stereotype.Service;

@Service("sysLoginBigDataService")
@DataSource("bigData")
public class SysLoginBigDataServiceImpl extends ServiceImpl<SysLoginBigDataDao, SysUserTokenEntity> implements SysLoginBigDataService {
    @Override
    public void updataTokenToBigData(SysUserTokenEntity sysUserTokenEntity) {
        baseMapper.updateById(sysUserTokenEntity);
    }

    @Override
    public void insertTokenToAlg(SysUserTokenEntity sysUserTokenEntity) {
        baseMapper.insert(sysUserTokenEntity);
    }

    @Override
    public void logOutPlatForm(SysUserTokenEntity sysUserTokenEntity) {
        baseMapper.updateById(sysUserTokenEntity);
    }
}
